Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 371987 - repoman tracebacks on unreadable files
Summary: repoman tracebacks on unreadable files
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Repoman (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 373933
  Show dependency tree
 
Reported: 2011-06-17 03:38 UTC by SpanKY
Modified: 2011-07-03 17:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2011-06-17 03:38:58 UTC
a core file happened to be in my $PWD that wasnt readable, and repoman did not care for it

simple way to reproduce:
$ touch f
$ chmod 000 f
$ repoman scan
RepoMan scours the neighborhood...
>>> Creating Manifest for /usr/local/gentoo-x86/sys-devel/binutils
Traceback (most recent call last):
  File "/usr/bin/repoman", line 1099, in <module>
    mysettings=repoman_settings, myportdb=portdb)
  File "/usr/lib64/portage/pym/portage/package/ebuild/digestgen.py", line 154, in digestgen
    "assume-digests" in mysettings.features))
  File "/usr/lib64/portage/pym/portage/manifest.py", line 352, in create
    self.fhashdict[mytype][f] = perform_multiple_checksums(self.pkgdir+f, self.hashes)
  File "/usr/lib64/portage/pym/portage/checksum.py", line 282, in perform_multiple_checksums
    rVal[x] = perform_checksum(filename, x, calc_prelink)[0]
  File "/usr/lib64/portage/pym/portage/checksum.py", line 248, in perform_checksum
    myhash, mysize = hashfunc_map[hashname](myfilename)
  File "/usr/lib64/portage/pym/portage/checksum.py", line 33, in pyhash
    encoding=_encodings['fs'], errors='strict'), 'rb')
IOError: [Errno 13] Permission denied: '/usr/local/gentoo-x86/sys-devel/binutils/f'
Comment 2 Zac Medico gentoo-dev 2011-07-01 05:07:58 UTC
This is in 2.2.0_alpha42, but I'll leave this bug open until it's in an unmasked release.
Comment 3 Zac Medico gentoo-dev 2011-07-03 17:33:14 UTC
This is fixed in 2.1.10.4.